#include <stdio.h>
#include <math.h>


#ifdef GRUPA_A

double f(int n){
	int suma = 0;
	int count = 0;
	if(n == 0) return 0;
	if(n < 0) n = -n;
	while(n > 0){
		suma += n % 10;
		n /= 10;
		++count;
		}
	return (double) suma / count;
	}
	
#define N 1024

#define POREDAK >

typedef int array_t;

const char format1[] = "%d";

typedef double dodatni_t;

const char format2[] = "%lf";


#endif 


/*******************************************************/


#ifdef GRUPA_B

double f(int n){
	int prod = 0;
	if(n == 0) return 0;
	if(n < 0) n = -n;
	while(n > 0){
		prod *= n % 10;
		n /= 10;
		}
	return sqrt(prod);
	}
	
#define N 512

#define POREDAK <

typedef int array_t;

const char format1[] = "%d";

typedef double dodatni_t;

const char format2[] = "%lf";


#endif


/*******************************************************/


#ifdef GRUPA_C

int f(double x){
	int i;
	int count = 0;
	int cijeli_dio;
	if(x < 0) x = -x;
	cijeli_dio = (int) x;
	for(i = 10; i < 100; ++i)
		if(cijeli_dio % i == 0) ++count;
	return count;
	}
	
#define N 256

#define POREDAK >

typedef double array_t;

const char format1[] = "%lf";

typedef int dodatni_t;

const char format2[] = "%d";


#endif


/*******************************************************/


#ifdef GRUPA_D

int f(double x){
	double razlomljeni_dio;
	int i;
	int suma = 0;
	if(x < 0) x = -x;
	razlomljeni_dio = x - (int) x;
	for(i = 0; i < 6; ++i){
		razlomljeni_dio *= 10.0;
		suma += ((int) razlomljeni_dio) % 10;
		}
	return suma;	
	}
	
#define N 128

#define POREDAK <

typedef double array_t;

const char format1[] = "%lf";

typedef int dodatni_t;

const char format2[] = "%d";


#endif


/*******************************************************/


int main(void){
	int n;
	array_t array[N];
	int i;
	int j;
	dodatni_t dodatni;
	int left;
	int right;
	int mid;
	
	
	/* ucitavanje niza */
	scanf("%d", &n);
	for(i = 0; i < n; scanf(format1, &array[i++]));
	
	
	/* sortiranje */
	for(i = 0; i < n-1; ++i)
		for(j = i+1; j < n; ++j)
			if( f(array[j]) POREDAK f(array[i]) ){
				array_t tmp = array[i];
				array[i] = array[j];
				array[j] = tmp;
				}
				
	/* binary search */
	scanf(format2, &dodatni);
	left = 0;
	right = n-1;
	while(left <= right){
		mid = (left + right) / 2;
		if( f(array[mid]) == f(dodatni) ) break;
		
		if( f(dodatni) POREDAK f(array[mid]) ) right = mid-1;
		else left = mid+1;
		}
	if(left <= right) puts("Pojavljuje se!");
	else puts("Ne pojavljuje se!");
	
	return 0;
	}
				
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
